Package: sg3-utils / 1.44-1

fix-udevadm-path.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
Add new path for udevadm. See DBug #852585
--- a/scripts/rescan-scsi-bus.sh
+++ b/scripts/rescan-scsi-bus.sh
@@ -430,12 +430,12 @@
 udevadm_settle()
 {
   local tmo=60
-  if test -x /sbin/udevadm; then 
+  if test -x /bin/udevadm; then 
     print_and_scroll_back " Calling udevadm settle (can take a while) "
     # Loop for up to 60 seconds if sd devices still are settling..
     # This allows us to continue if udev events are stuck on multipaths in recovery mode
     while [ $tmo -gt 0 ] ; do
-      if ! /sbin/udevadm settle --timeout=1 | egrep -q sd[a-z]+ ; then
+      if ! /bin/udevadm settle --timeout=1 | egrep -q sd[a-z]+ ; then
         break;
       fi
       let tmo=$tmo-1
@@ -767,7 +767,7 @@
 
   # Trigger udev to update the info
   echo -n "Triggering udev to update device information... "
-  /sbin/udevadm trigger
+  /bin/udevadm trigger
   udevadm_settle 2>&1 /dev/null
   echo "Done"
 
@@ -1331,7 +1331,7 @@
     flushmpaths 1
   fi
   if test $found -gt 0 ; then
-    /sbin/udevadm trigger --sysname-match=sd*
+    /bin/udevadm trigger --sysname-match=sd*
     udevadm_settle
     if [ -x "$MULTIPATH" ] ; then
       echo "Trying to discover new multipath mappings for newly discovered devices... "